Lavalite package that provides tradehistory management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/tradehistory`.

    "litecms/tradehistory": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Tradehistory\Providers\TradehistoryServiceProvider::class,

And also add it to alias

    'Tradehistory'  => Litecms\Tradehistory\Facades\Tradehistory::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\TradehistoryTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Tradehistory\Providers\TradehistoryServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Tradehistory\Providers\TradehistoryServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Tradehistory\Providers\TradehistoryServiceProvider" --tag="view"


## Usage


