<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for trade_history in tradehistory package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  trade_history module in tradehistory package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'TradeHistory',
    'names'         => 'TradeHistories',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'TradeHistories',
        'sub'   => 'TradeHistories',
        'list'  => 'List of trade_histories',
        'edit'  => 'Edit trade_history',
        'create'    => 'Create new trade_history'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'blockchain'          => ['BTC','ETH'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'seller_order_id'            => '',
        'buyer_order_id'             => '',
        'datetime'                   => 'Date',
        'transaction_id'             => '',
        'seller_id'                  => 'Seller',
        'buyer_id'                   => 'Buyer',
        'blockchain'                 => 'Order',
        'isCompleted'                => 'Status',
        'tokenHashBuyer'             => '',
        'tokenHashAdmin'             => '',
        'AmountHashSeller'           => '',
        'AmountHashAdmin'            => '',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'seller_order_id'            => '',
        'buyer_order_id'             => '',
        'datetime'                   => 'Date',
        'transaction_id'             => '',
        'seller_id'                  => 'Seller',
        'buyer_id'                   => 'Buyer',
        'blockchain'                 => 'Order Type',
        'isCompleted'                => 'Status',
        'tokenHashBuyer'             => '',
        'tokenHashAdmin'             => '',
        'AmountHashSeller'           => '',
        'AmountHashAdmin'            => '',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'datetime'                   => ['name' => 'Date', 'data-column' => 1, 'checked'],
        'seller_id'                  => ['name' => 'Seller', 'data-column' => 2, 'checked'],
        'buyer_id'                   => ['name' => 'Buyer', 'data-column' => 3, 'checked'],
        'blockchain'                 => ['name' => 'Order Type', 'data-column' => 4, 'checked'],
        'isCompleted'                => ['name' => 'Status', 'data-column' => 5, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'TradeHistories',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
