<?php

namespace Litecms\Tradehistory\Repositories\Eloquent;

use Litecms\Tradehistory\Interfaces\TradeHistoryRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class TradeHistoryRepository extends BaseRepository implements TradeHistoryRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.tradehistory.trade_history.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.tradehistory.trade_history.model.model');
    }
}
