    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#trade_history" data-toggle="tab">{!! trans('tradehistory::trade_history.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#tradehistory-trade_history-edit'  data-load-to='#tradehistory-trade_history-entry' data-datatable='#tradehistory-trade_history-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#tradehistory-trade_history-entry' data-href='{{guard_url('tradehistory/trade_history')}}/{{$trade_history->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('tradehistory-trade_history-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('tradehistory/trade_history/'. $trade_history->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="trade_history">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('tradehistory::trade_history.name') !!} [{!!$trade_history->name!!}] </div>
                @include('tradehistory::admin.trade_history.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>