@extends('resource.index')
@php
$links['create'] = guard_url('tradehistory/trade_history/create');
$links['search'] = guard_url('tradehistory/trade_history');
@endphp

@section('icon') 
<i class="pe-7s-display2"></i>
@stop

@section('title') 
{!! __('tradehistory::trade_history.title.main') !!}
@stop

@section('sub.title') 
{!! __('tradehistory::trade_history.title.list') !!}
@stop

@section('breadcrumb') 
  <li><a href="{!!guard_url('/')!!}">{{ __('app.home') }}</a></li>
  <li><a href="{!!guard_url('tradehistory/trade_history')!!}">{!! __('tradehistory::trade_history.name') !!}</a></li>
  <li>{{ __('app.list') }}</li>
@stop

@section('entry') 
<div id="entry-form">

</div>
@stop

@section('list')
    @include('tradehistory::trade_history.partial.list.' . $view, ['mode' => 'list'])
@stop

@section('pagination') 
    {!!$trade_histories->links()!!}
@stop

@section('script')

@stop

@section('style')

@stop 
