@extends('resource.show')

@php
$links['back'] = guard_url('tradehistory/trade_history');
$links['edit'] = guard_url('tradehistory/trade_history') . '/' . $trade_history->getRouteKey() . '/edit';
@endphp

@section('icon') 
<i class="pe-7s-display2"></i>
@stop

@section('title') 
{!! __('tradehistory::trade_history.title.main') !!}
@stop

@section('sub.title') 
{!! __('tradehistory::trade_history.title.show') !!}
@stop

@section('breadcrumb') 
  <li><a href="{!!guard_url('/')!!}">{{ __('app.home') }}</a></li>
  <li><a href="{!!guard_url('$tradehistory/trade_history')!!}">{!! __('tradehistory::trade_history.name') !!}</a></li>
  <li>{{ __('app.show') }}</li>
@stop

@section('tabs') 
@stop

@section('tools') 
    <a href="{!!guard_url('$tradehistory/trade_history')!!}" rel="tooltip" class="btn btn-white btn-round btn-simple btn-icon pull-right add-new" data-original-title="" title="">
            <i class="fa fa-chevron-left"></i>
    </a>
@stop

@section('content') 
    @include('tradehistory::trade_history.partial.show', ['mode' => 'show'])
@stop
