            @include('tradehistory::public.trade_history.partial.header')

            <section class="grid">
                <div class="container">
                    <div class="row">
                        <div class="col-md-3">
                            @include('tradehistory::public.trade_history.partial.aside')
                        </div>
                        <div class="col-md-9 ">
                            <div class="main-area parent-border list-item">
                                @foreach($trade_histories as $trade_history)
                                <div class="item border">
                                    <div class="feature">
                                        <a href="{{trans_url('trade_histories')}}/{{@$trade_history['slug']}}">
                                            <img src="{{url($trade_history->defaultImage('images'))}}" class="img-responsive center-block" alt="">
                                        </a>
                                    </div>
                                    <div class="content">
                                        <h4><a href="{{trans_url('trade_history')}}/{{$trade_history['slug']}}">{{str_limit($trade_history['title'], 300)}}</a> 
                                        </h4>
                                        <div class="metas mt20">
                                            <div class="tag pull-left">
                                                <a href="#" class="">Seo Tips</a>
                                            </div>
                                            <div class="date-time pull-right">
                                                <span><i class="fa fa-comments"></i>{{@$trade_history->viewcount}}</span>
                                                <span><i class="fa fa-calendar"></i>{{format_date($trade_history['posted_on'])}}</span>
                                            </div>
                                        </div>
                                        <div class="divider"></div>
                                        <div class="author">
                                            <div class="avatar pull-left">
                                                {{@$trade_history->user->badge}}
                                            </div>
                                            <div class="actions">
                                                

                                                
                                            </div>
                                        </div>
                                    </div>
                                </div>


                                @endforeach
                            </div>
                            <div class="pagination text-center">
                            {{ $trade_histories->links() }}
                            </div>
                        </div>
                    </div>
                </div>
            </section> 